OpenNMS API 1.2.9

## org.opennms.netmgt.poller.monitors
Class HttpsMonitor

    java.lang.Object
      org.opennms.netmgt.poller.monitors.IPv4LatencyMonitor
          org.opennms.netmgt.poller.monitors.HttpsMonitor

All Implemented Interfaces:
  ServiceMonitor

public final class HttpsMonitor
extends IPv4LatencyMonitor

This class is designed to be used by the service poller framework to test the availability of the HTTPS service on remote interfaces. The class implements the ServiceMonitor interface that allows it to be used along with other plug-ins by the service poller framework.

Author:
  OpenNMS , Tarus Balog , Jason

Field Summary
`private static int[]` `DEFAULT_PORTS` Default HTTPS ports.
`private static int` `DEFAULT_RETRY` Default retries.
`private static int` `DEFAULT_TIMEOUT` Default timeout.
`private static java.lang.String` `DEFAULT_URL` Default URL to 'GET'

Fields inherited from class org.opennms.netmgt.poller.monitors.IPv4LatencyMonitor
`DS_NAME`

Fields inherited from interface org.opennms.netmgt.poller.monitors.ServiceMonitor
`SERVICE_AVAILABLE, SERVICE_STATUS_MASK, SERVICE_UNAVAILABLE, SERVICE_UNKNOWN, SERVICE_UNRESPONSIVE, SURPRESS_EVENT_MASK`

Constructor Summary
`HttpsMonitor()`

Method Summary
`int` `poll(NetworkInterface iface, java.util.Map parameters, Package pkg)` Poll the specified address for HTTPS service availability.

Methods inherited from class org.opennms.netmgt.poller.monitors.IPv4LatencyMonitor
`createRRD, initialize, initialize, release, release, updateRRD`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORTS

    private static final int[] DEFAULT_PORTS

  Default HTTPS ports.

### DEFAULT_RETRY

    private static final int DEFAULT_RETRY

  Default retries.

  See Also:
    Constant Field Values

### DEFAULT_URL

    private static final java.lang.String DEFAULT_URL

  Default URL to 'GET'

  See Also:
    Constant Field Values

### DEFAULT_TIMEOUT

    private static final int DEFAULT_TIMEOUT

  Default timeout. Specifies how long (in milliseconds) to block waiting for data from the monitored interface.

  See Also:
    Constant Field Values

Constructor Detail

### HttpsMonitor

    public HttpsMonitor()

Method Detail

### poll

    public int poll(NetworkInterface iface,
                    java.util.Map parameters,
                    Package pkg)

  Poll the specified address for HTTPS service availability. During the poll an attempt is made to connect on the specified port(s) (by default TCP port 443). If the connection request is successful, an HTTP 'GET' command is sent to the interface. The response is parsed and a return code extracted and verified. Provided that the interface's response is valid we set the service status to SERVICE_AVAILABLE and return.

  Parameters:
    `iface` - The network interface to test the service on.
    `parameters` - The package parameters (timeout, retry, etc...) to be used for this poll.
  Returns:
    The availibility of the interface and if a transition event should be supressed.
  See Also:
    `ServiceMonitor.SURPRESS_EVENT_MASK`, `ServiceMonitor.SERVICE_AVAILABLE`, `ServiceMonitor.SERVICE_UNAVAILABLE`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.